Skala
Stocks

Create a new stock

Adds a new stock record to the database.

POST
/api/stocks

Adds a new stock record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new Stock resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stocks" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": 0,
  "name": "string",
  "category": {
    "id": 0,
    "name": "string"
  },
  "unit": {
    "id": 0,
    "name": "string"
  },
  "isTrackByLot": true,
  "comment": "string",
  "supplier": {
    "id": 0,
    "name": "string"
  },
  "averageCost": "string",
  "valueInStock": "string",
  "amount": "string",
  "expectedAmount": "string",
  "committedAmount": "string",
  "alertLevel": "string",
  "missingAmount": "string",
  "cost": "string",
  "profit": "string",
  "margin": "string",
  "productionTime": "string",
  "type": "string",
  "stockVariantOptions": [
    {
      "id": 0,
      "name": "string",
      "optionValues": [
        {
          "id": 0,
          "name": "string"
        }
      ]
    }
  ],
  "tax": {
    "id": 0,
    "rate": "string",
    "name": "string"
  },
  "variants": [
    {}
  ],
  "useAveragePrice": true,
  "currency": {
    "id": 0,
    "name": "string",
    "code": "string",
    "symbol": "string"
  },
  "isMaking": true,
  "isBuying": true,
  "tags": [
    "string"
  ],
  "trackType": "string",
  "isArchive": true,
  "isBuyingDifferentUnit": true,
  "buyingUnit": {
    "id": 0,
    "name": "string"
  },
  "unitConversion": 1,
  "customFieldCollection": "/entity/1",
  "autoAssembly": true
}
Empty
Empty